<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "accmast";
$formname = "Supplier Print";
$file = "supplier_print.php";
$mgrpcode = "009";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

    $name = $_POST['name'];
    $country = $_POST['country'];
    $city = $_POST['city'];
    $state = $_POST['state'];
    $broadcast = $_POST['broadcast'];
    $scope = $_POST['scope'];
    
    $namecond = "";
    $countrycond = "";
    $citycond = "";
    $statecond = "";
    $broadcastcond = "";
    $scopecond = "";
    
    if ($scope == 1) {
    } else {
       if ($scope == 2) { 
          $scopecond = " AND `active` = 1";
      } else {
         $scopecond = " AND `active` != 1";
      }
    }
    
    
    if (!empty($broadcast)) {
        $broadcastcond = " AND `website` LIKE '%$broadcast%' ";
    }

    if (!empty($state)) {
        $statecond = " AND `state` = '$state' ";
    }
    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }

    if (!empty($city)) {
        $citycond = " AND `city` LIKE '%$city%' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $broadcastcond $statecond  $namecond $citycond $countrycond $scopecond order by name")or die(mysqli_error($conn));
if (isset($_POST["view"])) {
    include("includes/linkshead.php");
    ?>
    <script src="MyScript/item.js" type="text/javascript"></script>
    </head>
    <body>
        <div class="container">
            <?php include("includes/head_rep.php");
            ?>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-bordered">
                        <tr class="mySearchTr">
                            <th>Sr</th>
                            <th>Name</th>
                            <th>Address</th>
                            <th>City</th>
                            <th>State</th>
                            <th>Mobile</th>
                            <th>Mobile 2</th>
                            <th>Tel</th>
                            <th>GST No.</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            Echo "<tr>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$pmain[name]</td>";
                            Echo "<td>$pmain[add1] $pmain[add2] $pmain[add3] </td>";
                            Echo "<td>$pmain[city]</td>";
                            Echo "<td>$pmain[state]</td>";
                            Echo "<td>$pmain[mobile]</td>";
                            Echo "<td>$pmain[mobile2]</td>";
                            Echo "<td>$pmain[tel]</td>";
                            Echo "<td>$pmain[gstno]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?
}
if (isset($_POST["excel"])) {

    $contents .= "Sr.,NAME,ADDRESS,CITY,STATE,MOB,MOB2,TEL,GSTNO\n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $pname = $pmain['name'];
        $paddress = $pmain['add1'] . " " . $pmain['add2'] . " " . $pmain['add3'];
        $pcountry = $pmain['state'];
        $pcity = $pmain['city'];
        $pemail = $pmain['email'];
        $ppin = $pmain['pin'];
        $ptel = $pmain['tel'];
        $pmob = $pmain['mobile'];
        $pgst = $pmain['gstno'];
        $pmob2 = $pmain['mobile2'];

        $add = str_replace(',', ' ', $paddress);

        $contents .= $ctr . ",";
        $contents .= $pname . ",";
        $contents .= $add . ",";
        $contents .= $pcity . ",";
        $contents .= $pcountry . ",";
        $contents .= $pmob . ",";
        $contents .= $pmob2 . ",";
        $contents .= $ptel . ",";
        $contents .= $pgst . "\n";
        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>
